local tablet = AceLibrary("Tablet-2.0")

Critline_FuBar_Active = true

Fubar_Critline_Pet = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0")
Fubar_Critline_Pet.cannotDetachTooltip = true
Fubar_Critline_Pet.hasIcon = true


function Fubar_Critline_Pet:UpdateText()
	self:SetText(Critline_GetHighest("PET", "NORM").."/"..Critline_GetHighest("PET", "CRIT"))
end


function Fubar_Critline_Pet:OnEnable()
	-- Subscribe to Critline_OnUpdate event.
	Critline_OnUpdateRegister(Fubar_Critline_Pet.UpdateText)
end


function Fubar_Critline_Pet:OnTooltipUpdate() --not sure if this code could be any uglier, but by god it works!!
	local cat = tablet:AddCategory('columns', 2)
	local left, right, textpos
	Critline_BuildSummaryRichText("PET")
	if Critline_FuBar_Tooltip then
		for k, tooltip_line in pairs(Critline_FuBar_Tooltip) do
			textpos = strfind(tooltip_line, "!!")
			if textpos then
				left = strsub(tooltip_line, 1, (textpos - 1))
				right = strsub(tooltip_line, (textpos + 2))
				cat:AddLine("text", left, "text2", right)
			else
				cat:AddLine("text", tooltip_line)
			end
		end
	end
end


function Fubar_Critline_Pet:OnClick()
	if CritlineSettings_Frame:IsVisible() then
		CritlineSettings_Frame:Hide()
	else
		CritlineSettings_Frame:Show()
	end
end